Subject: bug#67736: 30.0.50; emacsclient.desktop fails with quoting-related error

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Dec 2023 13:56:30 +0200

> From: Mekeor Melire <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> Date: Sun, 10 Dec 2023 11:28:37 +0000
> 
> Actually, there are already bug-reports on xdg-utils for this, also
> mentioning emacsclient.desktop explicitely:
> 
> https://gitlab.freedesktop.org/xdg/xdg-utils/-/issues/236
> https://gitlab.freedesktop.org/xdg/xdg-utils/-/issues/174
> 
> > In the mean time, should we work-around this bug by just using this or
> > something similar?:
> >
> >     Exec=emacsclient --alternate-editor= --create-frame %F
> 
> Should we close this very bug or should we implement a work-around?

As I wrote earlier, I'd like to wait until we understand more about
the various aspects of this issue.

> E.g we could stop using a complex, nested invokation of sh, and instead
> just execute emacsclient with some arguments, without any need for
> quoting, as I mentioned.

I don't think this is TRT.  We have all that complexity for a reason.
Please look at Git history of that file to see how we arrived at what
we have now.